// --- [ global.h ] ----------------------------------------------------------

#define FRAME0x08                         // AT-Command
#define FRAME0x10                         // Transmit Request
#define FRAME0x17                         // Remote AT-Command

#define FRAME0x88                         // AT Command Response
#define FRAME0x8B                         // Transmit Status
#define FRAME0x92                         // IO-Data Sample
#define FRAME0x97                         // Remote Command Response

#define START_DELIMITER    	0x7E
#define TRUE          			1
#define FALSE         			0

#define FRM_COMPLETE        	1
#define FRM_EXECUTE_CMD      	2

#define AT_CMD						0x07				
#define REMOTE_AT_CMD			0x10
#define SEND_DATA					0x17

#define TIMER0_START				(0<<CS02 | 1<<CS01 | 1<<CS00)
#define TIMER0_STOP				0
#define TIMER0_PRELOAD			0


#define TWI_SLA_ADR				0x08			// eigene Adresse als TWI-Slave
#define TWI_TARGET_ADR			0xFE			// an diese Adresse verschickt der TWI-Master die Daten
#define EEPROM_ADR_TWI 			4				// hier steht im Eeprom die TWI_Adresse
#define EEPROM_ADR_TARGET		0x0A			// ab hier stehen im EEprom die Targetadressen

#ifndef EXTERN
#define EXTERN extern
#endif


EXTERN volatile uint8_t flag;
EXTERN volatile uint8_t TWI_slave_mode;
EXTERN char msg[10];

EXTERN uint8_t xbee_cmd_typ;
EXTERN uint8_t xbee_target_idx;
EXTERN uint8_t xbee_data[16];
EXTERN uint8_t xbee_data_length;

EXTERN uint8_t xbee_target_adr[5][10];

#define LED_DDR	DDRC
#define LED_PORT	PORTC
#define LED_PIN	PINC
#define LED1		PC0
#define LED2		PC1
#define LED3		PC2

#define EEPROM_SIZE	64
#define DELIMITER		';'

EXTERN volatile uint8_t owi_cmd;
EXTERN uint8_t sensor_cnt;
EXTERN uint8_t  ow_buffer[9];					// fr den ROM-Adressen und Scratchboard
EXTERN char cr[2];
EXTERN char delimiter[2];
// --- { eof ] ----------------------------------------------------------------
